<script lang="ts">
// This page is the fallback for pages in DEVELOPMENT MODE.
// This does not work as a fallback for errors in production
// See MR: https://gitlab.com/gitlab-com/marketing/digital-experience/buyer-experience/-/merge_requests/3255

import Vue from 'vue';
import error404 from '~/components/error/404-error.vue';
import { generateLayoutMeta } from '~/common/meta';

export default Vue.extend({
  name: 'Error',
  mixins: [],
  props: {
    error: {
      type: Object,
      default: () => {},
      required: false,
    },
  },
  head() {
    const title = `${this.error.statusCode} | GitLab`;
    const layoutMeta = generateLayoutMeta(this.$route.path, this.$i18n.locale);
    return { title, ...layoutMeta };
  },
  computed: {
    errorPage() {
      return error404;
    },
  },
});
</script>

<template>
  <component
    :is="errorPage"
    :error="error"
    :status-code="error.statusCode"
    :message="error.message"
  />
</template>
